#pragma once
#include <map>
struct M_ActivitySailingaChievementLevelCFGData
{
	//等级
	int mLevel;
	//所需成就
	int mNeedAchievement;
	//道具ID
	std::vector<int> mItemID;
	//道具数量
	std::vector<int> mItemCount;
};

class M_ActivitySailingaChievementLevelCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySailingaChievementLevelCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySailingaChievementLevelCFGData* GetData(int Level);
	const std::map<int, M_ActivitySailingaChievementLevelCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySailingaChievementLevelCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySailingaChievementLevelCFGData> mMapData;
};
